%define upstream_name IO-SessionData
%define upstream_version 1.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Supporting module for SOAP::Lite
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Supporting module for SOAP::Lite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.30.0-10.mga10
+ Revision: 2199523
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-9.mga9
+ Revision: 1804144
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-8.mga8
+ Revision: 1495176
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-7.mga7
+ Revision: 1268829
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-6.mga6
+ Revision: 1028776
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0-5.mga6
+ Revision: 946813
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 740959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-3.mga5
+ Revision: 685075
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.30.0-2.mga4
+ Revision: 532323
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 1.30.0-1.mga4
+ Revision: 467910
- imported package perl-IO-SessionData

